Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoAdvanced Class Reference
GoSdk

## Description

Represents configurable advanced acquisition settings.

Inheritance diagram for GoAdvanced:

## Public Member Functions
k64f | GoAdvanced_CameraGainAnalog (GoAdvanced advanced)
| Returns the user defined analog camera gain value. More...
k64f | GoAdvanced_CameraGainAnalogLimitMax (GoAdvanced advanced)
| Returns the analog camera gain maximum value limit. More...
k64f | GoAdvanced_CameraGainAnalogLimitMin (GoAdvanced advanced)
| Returns the analog camera gain minimum value limit. More...
k64f | GoAdvanced_CameraGainAnalogSystemValue (GoAdvanced advanced)
| Returns the analog camera gain system value. More...
k64f | GoAdvanced_CameraGainDigital (GoAdvanced advanced)
| Returns the user defined digital camera gain value. More...
k64f | GoAdvanced_CameraGainDigitalLimitMax (GoAdvanced advanced)
| Returns the digital camera gain maximum value limit. More...
k64f | GoAdvanced_CameraGainDigitalLimitMin (GoAdvanced advanced)
| Returns the digital camera gain minimum value limit. More...
k64f | GoAdvanced_CameraGainDigitalSystemValue (GoAdvanced advanced)
| Returns the system's digital camera gain value. More...
k32u | GoAdvanced_ContrastThreshold (GoAdvanced advanced)
| Returns the user defined contrast threshold. More...
k32u | GoAdvanced_ContrastThresholdLimitMax (GoAdvanced advanced)
| Returns the maximum contrast threshold limit. More...
k32u | GoAdvanced_ContrastThresholdLimitMin (GoAdvanced advanced)
| Returns the minimum contrast threshold limit. More...
k32u | GoAdvanced_ContrastThresholdSystemValue (GoAdvanced advanced)
| Returns the system contrast threshold value. More...
k64f | GoAdvanced_DynamicSensitivity (GoAdvanced advanced)
| Returns the user defined dynamic sensitivity value. More...
k64f | GoAdvanced_DynamicSensitivityLimitMax (GoAdvanced advanced)
| Returns the dynamic sensitivity maximum value limit. More...
k64f | GoAdvanced_DynamicSensitivityLimitMin (GoAdvanced advanced)
| Returns the dynamic sensitivity minimum value limit. More...
k64f | GoAdvanced_DynamicSensitivitySystemValue (GoAdvanced advanced)
| Returns the dynamic sensitivity system value. More...
k32u | GoAdvanced_DynamicThreshold (GoAdvanced advanced)
| Returns the user defined dynamic threshold value. More...
k32u | GoAdvanced_DynamicThresholdLimitMax (GoAdvanced advanced)
| Returns the dynamic threshold maximum value limit. More...
k32u | GoAdvanced_DynamicThresholdLimitMin (GoAdvanced advanced)
| Returns the dynamic threshold minimum value limit. More...
k32u | GoAdvanced_DynamicThresholdSystemValue (GoAdvanced advanced)
| Returns the dynamic threshold system value. More...
kStatus | GoAdvanced_EnableSensitivityCompensation (GoAdvanced advanced, kBool value)
| Enables or disables senstivity compensation. More...
GoGammaType | GoAdvanced_GammaType (GoAdvanced advanced)
| Returns the user defined gamma type. More...
GoGammaType | GoAdvanced_GammaTypeSystemValue (GoAdvanced advanced)
| Returns the system's gamma type value. More...
kBool | GoAdvanced_IsCameraGainAnalogUsed (GoAdvanced advanced)
| Returns a boolean value representing whether the user defined analog camera gain is used. More...
kBool | GoAdvanced_IsCameraGainDigitalUsed (GoAdvanced advanced)
| Returns a boolean value representing whether the user's digital camera gain value is used by the system. More...
kBool | GoAdvanced_IsContrastThresholdUsed (GoAdvanced advanced)
| Returns a boolean value representing whether the user specified contrast threshold value is used. More...
kBool | GoAdvanced_IsDynamicSensitivityUsed (GoAdvanced advanced)
| Returns a boolean representing whether the user defined dynamic sensitivity value is used. More...
kBool | GoAdvanced_IsDynamicThresholdUsed (GoAdvanced advanced)
| Returns a boolean representing whether or not the user defined dynamic threshold is used by the system. More...
kBool | GoAdvanced_IsGammaTypeUsed (GoAdvanced advanced)
| Returns a boolean representing whether the user defined gamma type is used by the system. More...
kBool | GoAdvanced_IsSensitivityCompensationEnabledUsed (GoAdvanced advanced)
| Returns a boolean representing whether the user defined sensitivity compensation is used by the system. More...
kBool | GoAdvanced_IsSpotSelectionTypeUsed (GoAdvanced advanced)
| Returns a boolean relating to whether the user defined spot selection type will be used by the system. More...
kBool | GoAdvanced_IsSpotThresholdUsed (GoAdvanced advanced)
| Returns a boolean value representing whether the user specified spot threshold value is used. More...
kBool | GoAdvanced_IsSpotWidthMaxUsed (GoAdvanced advanced)
| Returns a boolean relating to whether the user defined spot width max value will be used by the system. More...
kBool | GoAdvanced_IsSurfaceEncodingUsed (GoAdvanced advanced)
| Returns the surface engine encoding type. More...
kBool | GoAdvanced_IsTypeUsed (GoAdvanced advanced)
| Returns a boolean relating to whether the user defined advanced acquisition type value will be used by the system. More...
kBool | GoAdvanced_SensitivityCompensationEnabled (GoAdvanced advanced)
| Returns the user defined sensitivity compensation value. More...
kBool | GoAdvanced_SensitivityCompensationEnabledSystemValue (GoAdvanced advanced)
| Returns the system's sensitivity compensation value. More...
kStatus | GoAdvanced_SetCameraGainAnalog (GoAdvanced advanced, k64f value)
| Sets the analog camera gain. More...
kStatus | GoAdvanced_SetCameraGainDigital (GoAdvanced advanced, k64f value)
| Sets the digital camera gain. More...
kStatus | GoAdvanced_SetContrastThreshold (GoAdvanced advanced, k32u value)
| Sets the contrast threshold. More...
kStatus | GoAdvanced_SetDynamicSensitivity (GoAdvanced advanced, k64f value)
| Sets the dynamic sensitivity. More...
kStatus | GoAdvanced_SetDynamicThreshold (GoAdvanced advanced, k32u value)
| Sets the dynamic threshold. More...
kStatus | GoAdvanced_SetGammaType (GoAdvanced advanced, GoGammaType value)
| Sets the gamma type. More...
kStatus | GoAdvanced_SetSpotContinuityMinimumSegmentSize (GoAdvanced advanced, k32u value)
| Sets the minimum segment size used in continuity sorting spot detection. More...
kStatus | GoAdvanced_SetSpotContinuitySearchWindowX (GoAdvanced advanced, k32u value)
| Sets the search window size in the X direction used in continuity sorting spot detection. More...
kStatus | GoAdvanced_SetSpotContinuitySearchWindowY (GoAdvanced advanced, k32u value)
| Sets the search window size in the Y direction used in continuity sorting spot detection. More...
kStatus | GoAdvanced_SetSpotSelectionType (GoAdvanced advanced, GoSpotSelectionType type)
| Sets the spot selection type. More...
kStatus | GoAdvanced_SetSpotThreshold (GoAdvanced advanced, k32u value)
| Sets the spot threshold. More...
kStatus | GoAdvanced_SetSpotWidthMax (GoAdvanced advanced, k32u value)
| Sets the maximum spot width. More...
kStatus | GoAdvanced_SetSurfaceEncoding (GoAdvanced advanced, GoSurfaceEncoding encoding)
| Sets surface engine encoding type (Default Standard) More...
kStatus | GoAdvanced_SetSurfacePhaseFilter (GoAdvanced advanced, GoSurfacePhaseFilter phaseFilter)
| Sets the phase filter type. More...
kStatus | GoAdvanced_SetType (GoAdvanced advanced, GoAdvancedType type)
| Sets the advanced acquisition type. More...
k32u | GoAdvanced_SpotContinuityMinimumSegmentSize (GoAdvanced advanced)
| Returns the minimum segment size used in continuity sorting spot detection. More...
k32u | GoAdvanced_SpotContinuitySearchWindowX (GoAdvanced advanced)
| Returns the search window size in the X direction used in continuity sorting spot detection. More...
k32u | GoAdvanced_SpotContinuitySearchWindowY (GoAdvanced advanced)
| Returns the search window size in the Y direction used in continuity sorting spot detection. More...
GoSpotSelectionType | GoAdvanced_SpotSelectionType (GoAdvanced advanced)
| Returns the user defined spot selection type. More...
GoSpotSelectionType | GoAdvanced_SpotSelectionTypeOptionAt (GoAdvanced advanced, kSize index)
| Returns the spot selection type option at the given index. More...
kSize | GoAdvanced_SpotSelectionTypeOptionCount (GoAdvanced advanced)
| Returns the number of spot selection type options. More...
GoSpotSelectionType | GoAdvanced_SpotSelectionTypeSystemValue (GoAdvanced advanced)
| Returns the system spot selection type. More...
k32u | GoAdvanced_SpotThreshold (GoAdvanced advanced)
| Returns the user defined spot threshold. More...
k32u | GoAdvanced_SpotThresholdLimitMax (GoAdvanced advanced)
| Returns the maximum spot threshold limit. More...
k32u | GoAdvanced_SpotThresholdLimitMin (GoAdvanced advanced)
| Returns the minimum spot threshold limit. More...
k32u | GoAdvanced_SpotThresholdSystemValue (GoAdvanced advanced)
| Returns the system spot threshold value. More...
k32u | GoAdvanced_SpotWidthMax (GoAdvanced advanced)
| Returns the user defined maximum spot width. More...
k32u | GoAdvanced_SpotWidthMaxLimitMax (GoAdvanced advanced)
| Returns the maximum spot width maximum limit. More...
k32u | GoAdvanced_SpotWidthMaxLimitMin (GoAdvanced advanced)
| Returns the maximum spot width minimum limit. More...
k32u | GoAdvanced_SpotWidthMaxSystemValue (GoAdvanced advanced)
| Returns the maximum spot width system value. More...
GoSurfaceEncoding | GoAdvanced_SurfaceEncoding (GoAdvanced advanced)
| Returns the surface engine encoding type. More...
GoSurfaceEncoding | GoAdvanced_SurfaceEncodingSystemValue (GoAdvanced advanced)
| Returns the system's surface engine encoding type. More...
GoSurfacePhaseFilter | GoAdvanced_SurfacePhaseFilter (GoAdvanced advanced)
| Returns the phase filter type. More...
GoAdvancedType | GoAdvanced_Type (GoAdvanced advanced)
| Returns the user defined advanced acquisition type. More...
GoAdvancedType | GoAdvanced_TypeSystemValue (GoAdvanced advanced)
| Returns the advanced acquisition type to be used by the system. More...

The documentation for this class was generated from the following file:

- GoAdvanced.h